Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class KeyWalker

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.patterns.NodeTest
                  |
                  +--weblogic.apache.xpath.axes.PredicatedNodeTest
                        |
                        +--weblogic.apache.xpath.axes.AxesWalker
                              |
                              +--weblogic.apache.xalan.transformer.KeyWalker

public class KeyWalker
extends AxesWalker

Walker for a Key() function.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.axes.AxesWalker
`m_axis, m_nextWalker, m_traverser`

Fields inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`m_foundLast, m_lpi, m_predCount, m_proximityPositions`

Fields inherited from class weblogic.apache.xpath.patterns.NodeTest
`m_name, m_whatToShow, SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`KeyWalker(LocPathIterator locPathIterator)` Construct a KeyWalker using a LocPathIterator.

Method Summary
`short` | `acceptNode(int testNode)` Test whether a specified node is visible in the logical view of a TreeWalker or NodeIterator.
`protected int` | `getNextNode()` Get the next node in document order on the axes.
`int` | `nextNode()` Moves the `TreeWalker` to the next visible node in document order relative to the current node, and returns the new node.
`void` | `setRoot(int root)` Set the root node of the TreeWalker.

Methods inherited from class weblogic.apache.xpath.axes.AxesWalker
`clone, getAxis, getCurrentNode, getDTM, getLastPos, getNextWalker, getPrevWalker, getRoot, init, isDocOrdered, setDefaultDTM, setNextWalker, setPrevWalker, wi`

Methods inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`canTraverseOutsideSubtree, countProximityPosition, fixupVariables, getLocPathIterator, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, getProximityPosition, initPredicateInfo, initProximityPosition, isReverseAxes, nodeToString, resetProximityPositions, setLocPathIterator, setPredicateCount`

Methods inherited from class weblogic.apache.xpath.patterns.NodeTest
`calcScore, debugWhatToShow, execute, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, getWhatToShow, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, error, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyWalker

    public KeyWalker(LocPathIterator locPathIterator)

  Construct a KeyWalker using a LocPathIterator.

  Parameters:
    `locPathIterator:` - this is usually a KeyIterator

Method Detail

### setRoot

    public void setRoot(int root)

  Set the root node of the TreeWalker.

  Parameters:
    `root` - Document root node
  Overrides:
    setRoot in class AxesWalker

### getNextNode

    protected int getNextNode()

  Get the next node in document order on the axes.

  Returns:
    The next node found or null.
  Overrides:
    getNextNode in class AxesWalker

### acceptNode

    public short acceptNode(int testNode)

  Test whether a specified node is visible in the logical view of a TreeWalker or NodeIterator. This function will be called by the implementation of TreeWalker and NodeIterator; it is not intended to be called directly from user code.

  Parameters:
    `testnode` - The node to check to see if it passes the filter or not.
  Returns:
    a constant to determine whether the node is accepted, rejected, or skipped, as defined above .
  Overrides:
    acceptNode in class PredicatedNodeTest

### nextNode

    public int nextNode()

  Moves the `TreeWalker` to the next visible node in document order relative to the current node, and returns the new node. If the current node has no next node, or if the search for nextNode attempts to step upward from the TreeWalker's root node, returns `null` , and retains the current node.

  Returns:
    The new node, or `null` if the current node has no next node in the TreeWalker's logical view.
  Overrides:
    nextNode in class AxesWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference